Name:           piccolo2d
Version:        1.3.1
Release:        1%{?dist}
Summary:        Structured 2D graphics toolkit

Group:          Development/Libraries
License:        BSD
URL:            http://code.google.com/p/piccolo2d/
Source0:        http://piccolo2d.googlecode.com/files/%{name}-%{version}-src.tar.gz
Source2:        %{name}-settings.xml
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin 
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-doxia-sitetools
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  eclipse-swt

Requires: eclipse-swt

BuildArch: noarch

%description
A revolutionary way to create robust, full-featured graphical
applications in Java with striking visual effects such
as zooming, animation and multiple representations.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n piccolo2d-%{version}-src
sed -i -e "s|\[3\.3\.0-v3346\,)|3\.3\.0-v3346|g" swt/pom.xml
mkdir -p .m2/org/eclipse/swt/gtk/linux/x86/3.3.0-v3346/
mkdir -p .m2/org/eclipse/swt/gtk/linux/x86_64/3.3.0-v3346/
ln -s %{_libdir}/java/swt.jar .m2/org/eclipse/swt/gtk/linux/x86/3.3.0-v3346/x86-3.3.0-v3346.jar  
ln -s %{_libdir}/java/swt.jar .m2/org/eclipse/swt/gtk/linux/x86_64/3.3.0-v3346/x86_64-3.3.0-v3346.jar 

%build
mvn-rpmbuild -e \
        -Dmaven.test.skip=true \
        install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/%{name}
install -m 644 core/target/*.jar %{buildroot}%{_javadir}/%{name}/%{name}-core.jar
install -m 644 extras/target/*.jar %{buildroot}%{_javadir}/%{name}/%{name}-extras.jar
install -m 644 swt/target/*.jar %{buildroot}%{_javadir}/%{name}/%{name}-swt.jar


# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 parent/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
install -pm 644 core/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core.pom
install -pm 644 extras/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-extras.pom
install -pm 644 swt/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-swt.pom

%add_maven_depmap JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-%{name}-core.pom %{name}/%{name}-core.jar
%add_maven_depmap JPP.%{name}-%{name}-extras.pom %{name}/%{name}-extras.jar
%add_maven_depmap JPP.%{name}-%{name}-swt.pom %{name}/%{name}-swt.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license-piccolo.txt 

%files javadoc
%{_javadocdir}/%{name}
%doc license-piccolo.txt 

%changelog
* Mon Jul 23 2012 Alexander Kurtakov <akurtako@redhat.com> 1.3.1-1
- New upstream release.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 28 2011 Alexander Kurtakov <akurtako@redhat.com> 1.3-9
- Build with maven3.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 1.3-7
- Fix pom names.
- Adopt to current guidelines.

* Sat Sep 11 2010 Alexander Kurtakov <akurtako@redhat.com> 1.3-6
- Fix FTBFS - javadoc:aggregate.

* Fri May 14 2010 Alexander Kurtakov <akurtako@redhat.com> 1.3-5
- Create both x86 and x86_64 symlinks to allow properly building the package as noarch.

* Wed Mar 24 2010 Alexander Kurtakov <akurtako@redhat.com> 1.3-4
- More maven BRs.

* Wed Mar 24 2010 Alexander Kurtakov <akurtako@redhat.com> 1.3-3
- It's not a noarch package.

* Wed Mar 24 2010 Alexander Kurtakov <akurtako@redhat.com> 1.3-2
- Fix swt symlink.

* Wed Mar 24 2010 Alexander Kurtakov <akurtako@redhat.com> 1.3-1
- 1.3 final.

* Tue Oct 13 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3-0.svn702.4
- Skip tests.

* Tue Oct 13 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3-0.svn702.3
- New snapshot.
- Add patches needed by pydev.

* Fri Oct 9 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3-0.svn691.2
- Add %%doc.

* Fri Oct 9 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3-0.svn691.1
- Remove umlgraph patch, no longer needed.
- Make fetch script retrieve exact version.

* Fri Oct 9 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3-0.svn689
- Initial package.
